<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Mfu Library Q&A</title>

  <link rel="stylesheet" href="wb-ask-question.component.scss">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

</head>
<body>

    <header>
      <nav>
        <div class="container">
          <div class="nav-grid">
          <div class="logo">
            <img alt="MFU LIBRARY LOGO" src="/assets/picproject/Logo.png">
          </div>
          <div class="fr">
            <ul class="menu">
              <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/home']">Home</a></li>
              <li><i class="fas fa-comments"></i><a [routerLink]="['/webboard']">Webboard</a></li>
              <li><i class="fas fa-comments"></i><a (click)="logout()">Logout</a></li>

            </ul>
          </div>
          </div>
        </div>
      </nav>
    </header>
  </body>

  <section class="content" >
    <form [formGroup]="questionForm" (ngSubmit)="submitForm()" novalidate>
    <div class="container">
      <div class="content-heading">
        <h1>Ask Question</h1>
      </div>

      <div class="content-services">
        <div class="content-services-item">

            <div class="content-services-question">
              <label>Question</label>
              <div class="ql-question">
                <quill-editor formControlName="question"  [modules]="editorModules" (onEditorChanged)="changedEditor($event)" ></quill-editor>
              </div>
            </div>
            </div>

            <div class="container-selectOne">
              <div class="content-services-addDate">
                <label>Add Date :</label>
                  <input formControlName="questionDate" type="date"/>
              </div>

              <div class="content-services-lastUpdater">
                <label>User :</label>
                <input formControlName="updater_user" [(ngModel)]="user.email" readonly disabled/>
              </div>
            </div>

              <div class="content-services-button">
                <button type="submit" class="submitButton">Submit</button>
                <button type="button" class="cancelButton" [routerLink]="['/webboard']">Cancel</button>
              </div>
          
      </div>
     </div>
  </form>
  </section>
</html>
